#!/bin/sh

date > host_info.txt
expect host.tcl >> host_info.txt
date >> host_info.txt

expect shstorage.tcl > profile1_storage.log

date > profile1_volume.log
lvdisplay >> profile1_volume.log
date >> profile1_volume.log

/root/SPCv302_2017504/spc1 -run SPC1_INIT -iops 20000 -storage slave_asu.asu -output ./newtool/spc1_INIT_20000_iops -master 4host.HST
sleep 600
/root/SPCv302_2017504/spc1 -run SPC1_VERIFY -iops 100 -storage slave_asu.asu -output ./newtool/spc1_VERIFY1_100_iops -master 4host.HST
/root/SPCv302_2017504/spc1 -run SPC1_METRICS -iops 1600500 -storage slave_asu.asu -output ./newtool/spc1_METRICS_1600500_iops -master 4host.HST
/root/SPCv302_2017504/spc1 -run SPC1_VERIFY -iops 100 -storage slave_asu.asu -output ./newtool/spc1_VERIFY2_100_iops -master 4host.HST
/root/SPCv302_2017504/spc1 -run SPC1_PERSIST_1 -iops 400125 -storage slave_asu.asu -output ./newtool/spc1_PERSIST_400125_iops -master 4host.HST
echo "Power cycle TSC, then Enter to continue"
read
expect shstorage.tcl > profile2_storage.log

date > profile2_volume.log
lvdisplay >> profile2_volume.log
date >> profile2_volume.log

/root/SPCv302_2017504/spc1 -run SPC1_PERSIST_2 -iops 400125 -storage slave_asu.asu -output ./newtool/spc1_PERSIST_400125_iops -master 4host.HST
